# RPM specfile for ximian-wallpapers module
# Generated Tue Nov 18 21:48:11 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.15.2.1 2003/11/18 20:54:01 mibarra Exp $

%define nam	ximian-wallpapers
%define ver	0.3
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	8

Name:     	ximian-wallpapers
Version: 	0.3
Release:	0.ximian.6.8
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	Ximian Logo License
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

BuildArch:      noarch
URL:		http://www.ximian.com/
Source0:	ximian-wallpapers-0.3.tar.gz
Patch0:		ximian-logo-license.patch
Summary:	Pretty backgrounds for your desktop.
Group:		User Interfaces/Desktops
Provides:	ximian-ximian-wallpapers = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
A collection of nice Ximian wallpapers for your Ximian GNOME desktop.

%files
%defattr(-, root, root)
%doc COPYING.ximian-logos
%license %{licensedir}/COPYING.ximian-logos
/usr/share/pixmaps/backgrounds/ximian/


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ximian-wallpapers-0.3
    ;;
all)
%setup  -q -n ximian-wallpapers-0.3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    true
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    true
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    env datadir=${DESTDIR}/usr/share bash ./install-wallpapers.sh
    mkdir -p $DESTDIR/%licensedir
    cp COPYING.ximian-logos $DESTDIR/%licensedir/.
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Nov 18 2003 Ximian, Inc.

- Version: 0.3-0.ximian.6.8
- Summary: New build.
- New automated build.

